Bug 95295 - Port update audio/gmpc, new ports audio/libmpd audio/gmpccaa
Port update audio/gmpc, new ports audio/libmpd audio/gmpccaa
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Roman Bogorodskiy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 04:20 UTC by redchrom
Modified: 2006-04-10 12:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.63 KB, patch)
2006-04-04 04:20 UTC, redchrom
no flags Details | Diff
file.shar (2.03 KB, text/plain)
2006-04-04 04:20 UTC, redchrom
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description redchrom 2006-04-04 04:20:07 UTC
New version of gmpc include plugins support and depends from on libmpd.
Also I've create port for gmpc amazon cover provider.

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	libmpd
#	libmpd/distinfo
#	libmpd/Makefile
#	libmpd/pkg-descr
#	libmpd/pkg-plist
#
echo c - libmpd
mkdir -p libmpd > /dev/null 2>&1
echo x - libmpd/distinfo
sed 's/^X//' >libmpd/distinfo << 'END-of-libmpd/distinfo'
XMD5 (libmpd-0.12.0.tar.gz) = bbfe28a5c3d7ef72b042030e3af52208
XSHA256 (libmpd-0.12.0.tar.gz) = b9ac03ab0514f7b4a5e898891c463a204d4c503530de9bd6e088553895708e96
XSIZE (libmpd-0.12.0.tar.gz) = 322359
END-of-libmpd/distinfo
echo x - libmpd/Makefile
sed 's/^X//' >libmpd/Makefile << 'END-of-libmpd/Makefile'
X# New ports collection makefile for:	libmpd
X# Date created:		Apr 4 2006
X# Whom:			Stepan Zastupov [RedChrom] <redchrom@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libmpd
XPORTVERSION=	0.12.0
XCATEGORIES=	audio
XMASTER_SITES=	http://download.qballcow.nl/programs/gmpc-0.13/
X
XMAINTAINER=	redchrom@gmail.com
XCOMMENT=	Abstraction around libmpdclient
X
XGNU_CONFIGURE=	yes
XINSTALLS_SHLIB=	yes
XCONFIGURE_ENV+=	LDFLAGS="-L${LOCALBASE}/lib"
X
XCFLAGS+=	-I${PREFIX}/include
X
X.include <bsd.port.pre.mk>
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|g' \
X		${WRKSRC}/Makefile.in
X
X.include <bsd.port.post.mk>
END-of-libmpd/Makefile
echo x - libmpd/pkg-descr
sed 's/^X//' >libmpd/pkg-descr << 'END-of-libmpd/pkg-descr'
Xlibmpd is an abstraction around libmpdclient. It provides
Xan easy and reliable callback based interface to mpd.
X
XWWW: http://cms.qballcow.nl/index.php?page=libmpd
END-of-libmpd/pkg-descr
echo x - libmpd/pkg-plist
sed 's/^X//' >libmpd/pkg-plist << 'END-of-libmpd/pkg-plist'
Xlibdata/pkgconfig/libmpd.pc
Xlib/libmpd.a
Xlib/libmpd.la
Xlib/libmpd.so
Xlib/libmpd.so.0
Xinclude/libmpd/debug_printf.h
Xinclude/libmpd/libmpd-database.h
Xinclude/libmpd/libmpd-internal.h
Xinclude/libmpd/libmpd-player.h
Xinclude/libmpd/libmpd-playlist.h
Xinclude/libmpd/libmpd-status.h
Xinclude/libmpd/libmpd-strfsong.h
Xinclude/libmpd/libmpd.h
Xinclude/libmpd/libmpdclient.h
X@dirrm include/libmpd
END-of-libmpd/pkg-plist
exit

How-To-Repeat: 	1) Add port libmpd from shar archive
	2) Apply the patch for gmpc
	3) Add port gmpccaa from shar archive
Comment 1 Mark Linimon freebsd_committer 2006-04-04 04:57:14 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue this PR from the 'pending' category.
Comment 2 Roman Bogorodskiy freebsd_committer 2006-04-04 11:34:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

I will take it.
Comment 3 Roman Bogorodskiy freebsd_committer 2006-04-05 13:29:29 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval.
Comment 4 Roman Bogorodskiy freebsd_committer 2006-04-05 17:24:37 UTC
Dear maintainer of the audio/gmpc FreeBSD port, do you approve this
patch:

http://www.freebsd.org/cgi/query-pr.cgi?pr=95295

Roman Bogorodskiy
Comment 5 ports 2006-04-06 05:33:39 UTC
On 05.04.06 you wrote:

> Dear maintainer of the audio/gmpc FreeBSD port, do you approve this
> patch:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=95295

Yes I do. And if the submitter wants to take over maintainership of
gmpc, he's very welcome to do it, since my free time is very limited
right now.
Comment 6 Roman Bogorodskiy freebsd_committer 2006-04-10 12:20:27 UTC
State Changed
From-To: feedback->closed

Committed, thanks!